precision highp float;

varying vec2 textureCoordinate;
uniform sampler2D inputImageTexture;
uniform vec2 size;
uniform int radius;
uniform float weights[17]; // CCD目前使用的最大采样半径应该是16

void main() {
    //    if(size.x < 1){
    //        size.x = 1080.;
    //    }
    if (radius < 1) {
        gl_FragColor = texture2D(inputImageTexture, textureCoordinate);
    } else {
        float dx = 1.0 / size.x;
        vec4 color = texture2D(inputImageTexture, textureCoordinate) * weights[0];
        for (int i = 1; i <= radius; i++) {
            color += texture2D(inputImageTexture, textureCoordinate + vec2(dx * float(i), 0.0)) * weights[i];
            color += texture2D(inputImageTexture, textureCoordinate - vec2(dx * float(i), 0.0)) * weights[i];
        }
        gl_FragColor = color;
    }
}
