precision highp float;

varying vec2 textureCoordinate;
uniform sampler2D inputImageTexture;
uniform vec2 size;
uniform int radius;
uniform float weights[17];

void main() {
    //    if(size.y < 1){
    //        size.y = 1080.;
    //    }
    if (radius < 1) {
        gl_FragColor = texture2D(inputImageTexture, textureCoordinate);
    } else {
        float dy = 1.0 / size.y;
        vec4 color = texture2D(inputImageTexture, textureCoordinate) * weights[0];
        for (int i = 1; i <= radius; i++) {
            color += texture2D(inputImageTexture, textureCoordinate + vec2(0.0, dy * float(i))) * weights[i];
            color += texture2D(inputImageTexture, textureCoordinate - vec2(0.0, dy * float(i))) * weights[i];
        }
        gl_FragColor = color;
    }
}
