precision highp float;

varying highp vec2 textureCoordinate;
varying highp vec2 textureCoordinate2;

uniform sampler2D inputImageTexture;
uniform sampler2D inputImageTexture2;

uniform float opacity;

// normal
vec3 blendNormal(vec3 base, vec3 blend) {
    return blend;
}

vec3 blendNormal(vec3 base, vec3 blend, float opacity) {
    return (blendNormal(base, blend) * opacity + blend * (1.0 - opacity));
}


void main()
{
    vec4 base = texture2D(inputImageTexture, textureCoordinate);
    vec4 overlay = texture2D(inputImageTexture2, textureCoordinate2);
    //gl_FragColor = base + overlay - base * overlay.a;
    if (overlay.a > 0.0) {
        gl_FragColor = vec4((blendNormal(base.rgb, overlay.rgb) * opacity + base.rgb * (1.0 - opacity)),1.0);
    } else {
        gl_FragColor = base;
    }
}